aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rw-r--r--scripts/splash.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/Makefile b/Makefile
index c76b036..33f17fe 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
NAME=bootsplash
-VERSION := 3.2.21
+VERSION := 3.2.22
SUBDIRS=scripts fb fbmngplay fbtruetype splash po
FILES=$(SUBDIRS) Makefile ChangeLog README
diff --git a/scripts/splash.sh b/scripts/splash.sh
index 5ac549d..64af011 100644
--- a/scripts/splash.sh
+++ b/scripts/splash.sh
@@ -147,7 +147,7 @@ num=$(( $nbservices + 2 ))
# Initialize and print text string..
if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" -o -f /dev/.splashy_shutdown ]; then
- [ ! -f /dev/.splashy_shutdown ] || /sbin/splashy_update repaint || exit 0
+ [ ! -f /dev/.splashy_shutdown ] || /sbin/splashy_update repaint 2>/dev/null|| exit 0
# depending on the languages, we need to use a font different of
# the default one; in such case the font must be accessible, or
# the translation is disabled.
@@ -283,7 +283,7 @@ if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" -o -f /dev/.splash
if [ "$text_x" != "" -a "$text_y" != "" \
-a "$text_color" != "" -a "$text_size" != "" -a "$_silent" == "yes" -o "$_shutdown" == "yes" -o "$1" == "suspend" ]; then
gprintf "Press Esc for verbose mode."
- splashy_is_running && /sbin/splashy_update repaint || exit 0
+ splashy_is_running && /sbin/splashy_update repaint 2>/dev/null || exit 0
fbtruetype.static -x $text_x -y $text_y -t $text_color -s $text_size \
$custom_font "$_boot $TEXT"
rm -f /dev/.splashy_shutdown